# Record Class CAComparisonFuzzyType.IsNotEqualTo<T>

java.lang.Object
java.lang.Record
com.io7m.cardant.model.comparisons.CAComparisonFuzzyType.IsNotEqualTo<T>

Type Parameters:
  `T` - The type of values
Record Components:
  `value` - The value

All Implemented Interfaces:
  `CAComparisonFuzzyType<T>`, `CAComparisonType`

Enclosing interface:
  `CAComparisonFuzzyType<T>`

public static record CAComparisonFuzzyType.IsNotEqualTo<T>(T value) extends Record implements CAComparisonFuzzyType<T>
Match a value exactly.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.cardant.model.comparisons.CAComparisonFuzzyType

  `CAComparisonFuzzyType.Anything<T>, CAComparisonFuzzyType.IsEqualTo<T>, CAComparisonFuzzyType.IsNotEqualTo<T>, CAComparisonFuzzyType.IsNotSimilarTo<T>, CAComparisonFuzzyType.IsSimilarTo<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IsNotEqualTo(T value)`
  Match a value exactly.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `T`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IsNotEqualTo

    public IsNotEqualTo(T value)
    Match a value exactly.
    Parameters:
      `value` - The value

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public T value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component